import * as lsp from 'vscode-languageserver';
import { TextDocument } from 'vscode-languageserver-textdocument';
import { StatementForFoldingContext } from '../lib/SparkSqlParser';
import { SparkSqlParserListener } from '../lib/SparkSqlParserListener';
export declare class StatementListener implements SparkSqlParserListener {
    private document;
    private ranges;
    constructor(document: TextDocument);
    getRanges(): lsp.Range[];
    enterStatementForFolding(ctx: StatementForFoldingContext): void;
}
