import { CompletionItem, DiagnosticSeverity } from 'vscode-languageserver';
import * as lsp from 'vscode-languageserver';
import { MarkupContent } from 'vscode-languageserver-types';
export declare function toDiagnosticSeverity(category: string): DiagnosticSeverity;
export declare function toCompletionItem(type: 'catalog' | 'database' | 'table' | 'column' | 'view' | 'function' | 'built-in', label: string, insertText: string, detail: string, documentation?: string | MarkupContent): CompletionItem;
export declare function toFoldingRange(range: lsp.Range, kind?: string): lsp.FoldingRange;
