import { ANTLRErrorListener, Recognizer, Token } from 'antlr4ts';
import { RecognitionException } from 'antlr4ts/RecognitionException';
import { Diagnostic } from 'vscode-languageserver';
import { TextDocument } from 'vscode-languageserver-textdocument';
export declare class ParseErrorListener implements ANTLRErrorListener<Token> {
    private document;
    private _errors;
    constructor(document: TextDocument);
    getErrors(): Diagnostic[];
    syntaxError(recognizer: Recognizer<Token, any>, offendingSymbol: Token | undefined, line: number, charPositionInLine: number, _: string, e: RecognitionException | undefined): void;
}
