"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.StatementListener = void 0;
const lsp = __importStar(require("vscode-languageserver"));
class StatementListener {
    constructor(document) {
        this.document = document;
        this.ranges = [];
    }
    getRanges() {
        return this.ranges;
    }
    enterStatementForFolding(ctx) {
        const startOffset = ctx.start.startIndex;
        const stopOffset = ctx.stop ? ctx.stop.stopIndex + 1 : startOffset + ctx.text.length;
        const range = lsp.Range.create(this.document.positionAt(ctx.start.startIndex), this.document.positionAt(stopOffset));
        this.ranges.push(range);
    }
}
exports.StatementListener = StatementListener;
//# sourceMappingURL=statement.listener.js.map